<?php

$filename= "./templates/signal.txt";
$clientraw = file_get_contents($filename);
$signalraw = explode(':', $clientraw);
$max = 0;
$min = 255;
//color>

$locolor="0000FF";
$hicolor="FF0066";
$avcolor="008000";
//<color
?>

<chart>
<license>FT7-DR38UVGHOZCI3PQUDSQT34CJOL</license>
<legend    width='250'
		  x='140'
		  y='5'
          bullet='circle'
          font='arial'
          bold='true'
          size='12'
          color='000000'
          alpha='100'
          fill_color='DDDDDD'
          fill_alpha='100'
 	      shadow='shadow1'
          line_color='000000'
          line_alpha='100'
          line_thickness='2'
/>

<axis_value min='0'
           max='256'
           steps='6' 
           font='arial'
           bold='true'
           size='12'
           color='FFFFFF' 
           alpha='100'
           />

<axis_value_label>
      <string>0</string>
      <string>3</string>
      <string>6</string>
      <string>9</string>
      <string>+20</string>
      <string>+40</string>
      <string>+60</string>
</axis_value_label>

<axis_ticks value_ticks='true'
       category_ticks='true'
       position='centered'
       major_thickness='2'
       major_color='000000'
       minor_thickness='1'
       minor_color='ff0000'
       minor_count='2'
       />

<series_color>
<?php
Print "<color>". $locolor . "</color>";
Print "<color>" . $avcolor . "</color>";
Print "<color>" . $hicolor . "</color>";
?>
</series_color>
<filter>
      <bevel id='bevel1' angle='60' blurX='100' blurY='100' distance='35' highlightColor='0000ff' shadowColor='ff0000' />
      <bevel id='bevel2' angle='45' blurX='3' blurY='3' distance='3' highlightAlpha='50' highlightColor='ffffff' />
      <shadow id='shadow1' distance='5' angle='45' color='000000' alpha='75' blurX='10' blurY='10' />
</filter>


<chart_rect 
		x='35'
		y='30'
		width='350'
		height='180'
		corner_tl='20'
		corner_tr='20'
		corner_bl='20'
		corner_br='20'
		negative_color='FFFFFF'
		negative_alpha='0'
<?php
//rect_color>print "positive_color='FFFFFF' ";
//<rect_color
?>
		positive_alpha='100' />

<chart_data>
	<row>
		<null/>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
		<string></string>
	</row>
	<row>
		<string>Low</string>
		<?php
		$i = 0;
		while ($i+1 < (count($signalraw)/3)) {
			$st = $signalraw[(3 * $i)];
			$st = substr($st, 1, strpos($st, "!") - 1);
			echo "<number>" . $st . "</number>";
			if ($st < $min && $st > 0) {
				$min = $st;
			} 
			$i++;
		}
		$min1 = $min / 255;
		$min = 30 + 180 - $min1 * 180;
		?>
	</row>
	<row>
		<string>Average</string>
		<?php
		$i = 0;
		while ($i+1 < (count($signalraw)/3)) {
			$st=$signalraw[(3 * $i) + 2];
			$st=substr($st, 1, strpos($st,"!") - 1);
			echo "<number>" . $st . "</number>";
			$i++;
		}
		?>
	</row>
	<row>
		<string>High</string>
		<?php
		$i = 0;
		while ($i +1 < (count($signalraw)/3)) {
			$st = $signalraw[(3 * $i) + 1];
			$st = substr($st, 1, strpos($st, "!") - 1);
			echo "<number>" . $st . "</number>";
			if ($st > $max ) {
				$max = $st;
			}
			$i++;
		}
		$max1 = $max / 255;
		$max = 30 + 180 - $max1 * 180;
		if ($max == 0){$min = 0;}
		?>
	</row>
</chart_data>

<chart_guide horizontal='true'
      vertical='true'
      thickness='1'
      color='000000'
      alpha='75'
      type='dashed'
      radius='8'
      fill_alpha='0'
      line_color='000000'
      line_alpha='75'
      line_thickness='4'
      size='20'
      text_color='000000'
      background_color='FFFFFF'
      text_h_alpha='0'
      text_v_alpha='0'
      />

<?php
print "<chart_type>";
//style>Print "<string>Line</string>";
Print "<string>Line</string>";
Print "<string>Line</string>";
//<style
print "</chart_type>";
?>

<chart_pref 
		line_thickness='2'
		point_shape='circle'
		fill_shape='true'
		/>

<draw>
<text      x='30'
           y='215'
           width='350'
           height='25'
           font='arial'
           bold='true'
           size='12'
           color='FFFFFF'
           >-60                    -45                    -30                    -15                      0</text>

<text      x='168'
           y='230'
           width='100'
           height='25'
           font='arial'
           bold='true'
           size='10'
           color='FFFFFF'
           >Time (seconds)</text>

<text
		color='ffff00'
		alpha='75'
		size='30'
		x='20'
		y='-5'
		width='400'
		height='200'
		h_align='left'
		v_align='top'
		>s-meter</text>

<line line_color='aaaaaa' x1='398' x2='398' y1='10' y2='240' />
<line line_color='<?php echo $hicolor; ?>' x1='35' x2='385' y1='<?php echo $max; ?>' y2='<?php echo $max; ?>' />

<line line_color='<?php echo $locolor; ?>' x1='35' x2='385' y1='<?php echo $min; ?>' y2='<?php echo $min; ?>' />
<?php if ($max < 210 ) { ?>
<rect fill_color='<?php echo $avcolor; ?>' x='35' width='350' y='<?php echo $max; ?>' height='<?php echo $min - $max;?>' fill_alpha = '15' />
<?php } ?>

<text color='000000' alpha='10' font='arial' rotation='0' bold='true' size='30' x='0' y='100' width='400' height='165' h_align='center' v_align='bottom'>|||||||||||||||||||||||||||||||||||||||||||||||</text>

<image url='./images/print_rollover.swf' x='20' y='235' width='70' height='25' />
<image url='./images/full_rollover.swf' x='300' y='235' width='80' height='25' />
</draw>

<link>
	<area x='300' y='235' width='90' height='25' url='showmeter.php' target='toggle_fullscreen'/>
	<area x='20' y='235' width='70' height='25' url='showmeter.php' target='_blank'/>
</link>


<update url='subcharts.php?var=<?php echo microtime(); ?>' delay='3' /> 
</chart>
<?php
//colors>:16711680:6684927:32768:13408767:16777215://<colors
//styles>:Line://<styles
?>
